apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: bibdb
  name: bibdb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: bibdb
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  template:
    metadata:
      labels:
        app: bibdb
    spec:
      containers: 
      - image: existdb/existdb:6.0.1
        name: bibdb
        env:
          # try to look at memory usage  https://medium.com/nerds-malt/java-in-k8s-how-weve-reduced-memory-usage-without-changing-any-code-cbef5d740ad
        - name: MALLOC_ARENA_MAX
          value: "2"
        resources:
          limits:
            memory: 2048Mi
          requests:
            memory: 256Mi
        ports:
          - containerPort: 8080
        volumeMounts:
        - name: bibdb-data
          mountPath: /exist/data/
      volumes:
        - name: bibdb-data
          persistentVolumeClaim:
            claimName: bibdb-data-claim
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: bibdb
  name: bibdb
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: bibdb
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: traefik-uga
  labels:
    dmz: uga
  name: bibdb-ingress
  namespace: jmmc
spec:
  rules:
  - host: bibdb.osug.fr
    http:
      paths:
      - backend:
          serviceName: bibdb
          servicePort: 8080
        path: /
  - host: bibdbmgr.jmmc.fr
    http:
      paths:
      - backend:
          serviceName: bibdb
          servicePort: 8080
        path: /
